## net.sourceforge.pmd
Class RuleContext

    java.lang.Object
      net.sourceforge.pmd.RuleContext

public class RuleContext
extends java.lang.Object

Constructor Summary
`RuleContext()`

Method Summary
`void` `excludeLines(java.util.Set lines)`
`Report` `getReport()`
`java.lang.String` `getSourceCodeFilename()`
`void` `setReport(Report report)`
`void` `setSourceCodeFilename(java.lang.String filename)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuleContext

    public RuleContext()

Method Detail

### getReport

    public Report getReport()

### setReport

    public void setReport(Report report)

### getSourceCodeFilename

    public java.lang.String getSourceCodeFilename()

### setSourceCodeFilename

    public void setSourceCodeFilename(java.lang.String filename)

### excludeLines

    public void excludeLines(java.util.Set lines)

Copyright © 2002-2006 InfoEther. All Rights Reserved.